be.fgov.ehealth.samcivics.type.v2

## Class AtmType

- java.lang.Object
- - be.fgov.ehealth.samcivics.type.v2.BaseType
  - - be.fgov.ehealth.samcivics.type.v2.AtmType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AtmAndChildrenType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:08:17+01:00",
                 comments="JAXB RI v2.2.11")
      public class AtmType
      extends BaseType
      implements Serializable

  Java class for AtmType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AtmType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:samcivics:type:v2}BaseType">
             <sequence>
               <element name="AtmId" type="{http://www.w3.org/2001/XMLSchema}long"/>
               <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="SpecialtyOrigin" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AtmType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAtmId()` Gets the value of the atmId property.
    `String` | `getName()` Gets the value of the name property.
    `String` | `getSpecialtyOrigin()` Gets the value of the specialtyOrigin property.
    `void` | `setAtmId(long value)` Sets the value of the atmId property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setSpecialtyOrigin(String value)` Sets the value of the specialtyOrigin property.

    - ### Methods inherited from class be.fgov.ehealth.samcivics.type.v2.BaseType

      `getEndDate, getStartDate, setEndDate, setStartDate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AtmType

          public AtmType()

  - ### Method Detail

    - #### getAtmId

          public long getAtmId()

      Gets the value of the atmId property.

    - #### setAtmId

          public void setAtmId(long value)

      Sets the value of the atmId property.

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSpecialtyOrigin

          public String getSpecialtyOrigin()

      Gets the value of the specialtyOrigin property.
      Returns:
        possible object is `String`

    - #### setSpecialtyOrigin

          public void setSpecialtyOrigin(String value)

      Sets the value of the specialtyOrigin property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPHYSICIAN 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.